<?php

namespace TDevAgency\Erp\Models;

use Illuminate\Database\Eloquent\Model;

class OrderPayment extends Model
{
    protected $fillable = [
        'order_id',
        'payment_code',
        'payment_name',
        'payment_status',
        'payment_url',
        'payment_details',
    ];

    public function getPaymentDetailsAttribute($value)
    {
        if ($value === null) {
            return null;
        }

        return unserialize(base64_decode($value));
    }
}
